Skip to main content
GET
List checkout questions translations for a product

Authorizations

x-api-key
string
header
default:sfk_your_api_key
required

Storefront API key (sfk_...)

Path Parameters

productId
string
required

ID of the product

Example:

"550e8400-e29b-41d4-a716-446655440000"

language
enum<string>
required

Language code Language code for this translation

Available options:
af,
ak,
am,
ar,
as,
az,
be,
bg,
bm,
bn,
bo,
br,
bs,
ca,
ce,
cs,
cu,
cy,
da,
de,
dz,
ee,
el,
en,
eo,
es,
et,
eu,
fa,
ff,
fi,
fo,
fr,
fy,
ga,
gd,
gl,
gu,
gv,
ha,
he,
hi,
hr,
hu,
hy,
ia,
id,
ig,
ii,
is,
it,
ja,
jv,
ka,
ki,
kk,
kl,
km,
kn,
ko,
ks,
ku,
kw,
ky,
lb,
lg,
ln,
lo,
lt,
lu,
lv,
mg,
mi,
mk,
ml,
mn,
mr,
ms,
mt,
my,
nb,
nd,
ne,
nl,
nn,
no,
om,
or,
os,
pa,
pl,
ps,
pt,
pt_br,
pt_pt,
qu,
rm,
rn,
ro,
ru,
rw,
sd,
se,
sg,
si,
sk,
sl,
sn,
so,
sq,
sr,
su,
sv,
sw,
ta,
te,
tg,
th,
ti,
tk,
to,
tr,
tt,
ug,
uk,
ur,
uz,
vi,
vo,
wo,
xh,
yi,
yo,
zh,
zh_cn,
zh_tw,
zu

Response

200 - application/json

Checkout questions with translations

id
string
required

Unique identifier for the checkout question

Example:

"550e8400-e29b-41d4-a716-446655440000"

internalName
string
required

Internal name for the question (not shown to customers)

Example:

"Customer Allergies Question"

required
boolean
required

Whether the question is required to be answered

Example:

true

type
enum<string>
required

Type of input for the question

Available options:
single-line-text-field,
multi-line-text-field,
dropdown,
rating,
checkbox,
file-upload
Example:

"single-line-text-field"

order
number
default:0
required

Display order of the question (lower numbers appear first)

Example:

1

alwaysShow
boolean
default:false
required

Whether this question is shown for all products in the store

Example:

false

createdAt
string<date-time>
required

Date and time when the question was created

Example:

"2023-01-01T00:00:00Z"

updatedAt
string<date-time> | null
required

Date and time when the question was last updated

Example:

"2023-01-15T00:00:00Z"

deletedAt
string<date-time> | null
required

Date when the question was soft-deleted

Example:

"2023-06-03T09:45:00Z"

storeId
string
required

ID of the store that owns this question

Example:

"store-uuid"

translations
object[]
required

Translations of this question (filtered to the requested language)

fileConfig
object | null

File-upload constraints (allowed categories, max size, max files). Only set when type is file-upload.

Example:
Last modified on July 26, 2026